Name:             zathura-djvu
Version:          0.2.9
Release:          2%{?dist}
Summary:          DjVu support for zathura
License:          zlib
URL:              http://pwmt.org/projects/zathura/plugins/%{name}
Source0:          http://pwmt.org/projects/zathura-djvu/download/%{name}-%{version}.tar.xz
BuildRequires:    binutils
BuildRequires:    cairo-devel
BuildRequires:    coreutils
BuildRequires:    djvulibre-devel
BuildRequires:    desktop-file-utils
BuildRequires:    girara-devel
BuildRequires:    glib2-devel
BuildRequires:    libappstream-glib
BuildRequires:    meson >= 0.43
BuildRequires:    gcc
BuildRequires:    zathura-devel >= 0.3.8
Requires:         zathura >= 0.3.8


%description
The zathura-djvu plugin adds DjVu support to zathura by
using the djvulibre library.


%prep
%setup -q


%build
%meson
%meson_build


%install
%meson_install
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.metainfo.xml


%files
%license LICENSE
%doc AUTHORS
%{_libdir}/zathura/libdjvu.so
%{_datadir}/applications/org.pwmt.zathura-djvu.desktop
%{_datadir}/metainfo/org.pwmt.zathura-djvu.metainfo.xml


%changelog
